# Interface methods for submodule: MultiStartOptimizerv4Template
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectToObjectOptimizerBaseTemplateProxy as _ObjectToObjectOptimizerBaseTemplateProxy


# Interface methods for class: MultiStartOptimizerv4Template
class MultiStartOptimizerv4TemplateProxy(_ObjectToObjectOptimizerBaseTemplateProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetStopCondition(self):
		""""""
		...

	def InstantiateLocalOptimizer(self) -> None:
		""""""
		...

	def StartOptimization(self, doOnlyInitialization: bool = False) -> None:
		""""""
		...

	def StopOptimization(self) -> None:
		""""""
		...

	def ResumeOptimization(self) -> None:
		""""""
		...

	def GetStopConditionDescription(self) -> str:
		""""""
		...

	def GetParametersList(self):
		""""""
		...

	def SetParametersList(self, p) -> None:
		""""""
		...

	def GetMetricValuesList(self) -> Sequence[float]:
		""""""
		...

	def GetBestParameters(self):
		""""""
		...

	def SetLocalOptimizer(self, _arg) -> None:
		""""""
		...

	def GetModifiableLocalOptimizer(self):
		""""""
		...

	def GetLocalOptimizer(self):
		""""""
		...

	def GetBestParametersIndex(self) -> int:
		""""""
		...

